Package com.castlabs.android.exoplayer2.ext.amlnativeplayer

# Class IPTVComponent

java.lang.Object
com.castlabs.android.exoplayer2.ext.amlnativeplayer.IPTVComponent

All Implemented Interfaces:
  `PlayerControllerPlugin.Component`

public class IPTVComponent extends Object implements PlayerControllerPlugin.Component
IPTV Clear Player component. To get an instance of this class, use `PlayerController.getComponent(Class)`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IPTVComponent(IPTVPlayerPlugin iptvPlayerPluginWeakReference)`
  Creates a new instance of `IPTVComponent`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class`
  `id()`
  `void`
  `onDestroy(PlayerController playerController)`
  `void`
  `onOpenBundle(PlayerController playerController, Bundle bundle)`
  `void`
  `onOpenState(PlayerController playerController, PlayerConfig playerConfig)`
  `void`
  `setEventDispatcher(com.google.android.exoplayer2.analytics.IptvAnalyticsListener.EventDispatcher eventDispatcher)`
  Sets the `IptvAnalyticsListener` Event Dispatcher for the IPTV Plugin.
  `void`
  `setTransferListener(com.google.android.exoplayer2.upstream.TransferListener transferListener)`
  Sets the `TransferListener` for the IPTV Plugin DataSource.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IPTVComponent

    public IPTVComponent(IPTVPlayerPlugin iptvPlayerPluginWeakReference)
    Creates a new instance of `IPTVComponent`.
    Parameters:
      `iptvPlayerPluginWeakReference` - The `IPTVPlayerPlugin` instance.

- ## Method Details

  - ### setEventDispatcher

    public void setEventDispatcher(@Nullable com.google.android.exoplayer2.analytics.IptvAnalyticsListener.EventDispatcher eventDispatcher)
    Sets the `IptvAnalyticsListener` Event Dispatcher for the IPTV Plugin.
    Parameters:
      `eventDispatcher` - The `IptvAnalyticsListener.EventDispatcher` to set.

  - ### setTransferListener

    public void setTransferListener(@Nullable com.google.android.exoplayer2.upstream.TransferListener transferListener)
    Sets the `TransferListener` for the IPTV Plugin DataSource.
    Parameters:
      `transferListener` - The `TransferListener` to set.

  - ### id

    @NonNull public Class id()
    Specified by:
      `id` in interface `PlayerControllerPlugin.Component`

  - ### onDestroy

    public void onDestroy(@NonNull PlayerController playerController)
    Specified by:
      `onDestroy` in interface `PlayerControllerPlugin.Component`

  - ### onOpenBundle

    public void onOpenBundle(@NonNull PlayerController playerController, @NonNull Bundle bundle)
    Specified by:
      `onOpenBundle` in interface `PlayerControllerPlugin.Component`

  - ### onOpenState

    public void onOpenState(PlayerController playerController, PlayerConfig playerConfig)
    Specified by:
      `onOpenState` in interface `PlayerControllerPlugin.Component`